Subject: bug#22534: File notify broken on Windows

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Feb 2016 21:36:21 +0200

> From: Michael Albinus <[email-masked]>
> Cc: Fabrice Popineau <[email-masked]>,  [email-masked]
> Date: Mon, 08 Feb 2016 20:14:22 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Btw, is there an easy way of running just one test out of
> > file-notify-test.el?  Running all of them takes a long time,
> > especially now that the 06 test is no longer considered "expensive".
> 
> 06 is still expensive, how do you believe it has changed?

Because I see this in file-notify-test.log:

   passed  13/16  file-notify-test06-many-events

Only the remote part of 06 is skipped.  Am I missing something?

> "make check" knows the SELECTOR variable. You could do
> 
> # make SELECTOR='(quote (eql file-notify-test02-events))' \
>   -C test/automated file-notify-tests

OK, thanks.  I wish this were described on some README, or maybe it
could even be less cumbersome to type.